Bug 231454 - databases/pgadmin3: Update to 1.22.2
Summary: databases/pgadmin3: Update to 1.22.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Max Khon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-18 14:54 UTC by Rainer Hurling
Modified: 2018-12-11 13:00 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (fjoe)


Attachments
patch updates databases/pgadmin3 to 1.22.2 (2.98 KB, patch)
2018-09-18 14:54 UTC, Rainer Hurling
no flags Details | Diff
integrate USES=gnome and OPTION openssl (3.51 KB, patch)
2018-09-19 05:25 UTC, Rainer Hurling
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling freebsd_committer 2018-09-18 14:54:17 UTC
Created attachment 197205 [details]
patch updates databases/pgadmin3 to 1.22.2

This patch updates databases/pgadmin3 from version 1.22.1 to 1.22.2.

There are only some smaller changes in the sources:
- Include the Negator when reverse engineering SQL for operators
- Fix the psql plugin command on OSX to work more reliably
- Allow multiple SQL editor tabs to be used in the query tool
- Prevent a crash in some situtions where the database connection is lost and needs to be reset.
- Fix display of elapsed query time for queries running longer than 1 hour

The port also 
- corrects the mastersite
- updates the patch for plugins.d/plugins.ini


Poudriere builds (HEADa/i, 11.2a/i) seem to be ok.

portlint -AC only make some suggestions:
WARN: Makefile: Consider adding support for a NLS knob to conditionally disable gettext support.
WARN: Makefile: CXXFLAGS is overridden in the Makefile clobbering a value possibly set by a user.  Consider using CXXFLAGS+=... if you want to add or CXXFLAGS:=${CXXFLAGS:C/...//} if you want to remove specific flags
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: you may want directory for dependency sphinx-build to be textproc/py-sphinx@${PY_FLAVOR}
WARN: Consider to set DEVELOPER=yes in /etc/make.conf
0 fatal errors and 5 warnings found.
Comment 1 Nathan 2018-09-18 18:04:48 UTC
⇒  svn patch /home/ndowens/Patches/pgadmin3
C         pgadmin3/Makefile
>         rejected hunk @@ -2,10 +2,9 @@
C         pgadmin3/distinfo
>         rejected hunk @@ -1,2 +1,3 @@
C         pgadmin3/files/patch-plugins.d-plugins.ini
>         rejected hunk @@ -1,6 +1,33 @@
Summary of conflicts:
Text conflicts: 3
Comment 2 Nathan 2018-09-18 18:06:58 UTC
(In reply to Nathan from comment #1)
Cancel that, patch -p0 works
Comment 3 Nathan 2018-09-18 18:11:29 UTC
Need to add gnome to USES 

Also see: bug#225953 

You may could add OPENSSL to options:
DEFINE_OPTIONS=   OPENSSL
OPTIONS_DEFAULT=  OPENSSL

OPENSSL_USES=     ssl

Package contains other options that you may consider adding to it. Doing atleast the above could close the other bug
Comment 4 Rainer Hurling freebsd_committer 2018-09-19 05:25:19 UTC
Created attachment 197224 [details]
integrate USES=gnome and OPTION openssl

Hi Nathan,

Thanks for taking the PR and your suggestions.

I only integrated USES=gnome and the openssl option. pgAdmin3 is no longer maintained[1] and the intention of this update is to bypass at least the time remaining since pgAdmin4 is in the ports tree.


[1] https://www.postgresql.org/ftp/pgadmin/
Comment 5 Nathan 2018-09-19 11:37:12 UTC
Comment on attachment 197224 [details]
integrate USES=gnome and OPTION openssl

Note to committer: Patch includes support for SSL to satisfy/close PR: 225953
Comment 6 Max Khon freebsd_committer 2018-12-11 12:54:02 UTC
The patch for plugins.d is not required (it is done using REINPLACE_CMD)
Comment 7 commit-hook freebsd_committer 2018-12-11 12:59:15 UTC
A commit references this bug:

Author: fjoe
Date: Tue Dec 11 12:58:28 UTC 2018
New revision: 487234
URL: https://svnweb.freebsd.org/changeset/ports/487234

Log:
  - Update to 1.22.2
  - Add explicit missing dependency on SSL
  - Fix portlint warnings

  PR:		231454, 225953
  Submitted by:	Rainer Hurling, Bernard Spil

Changes:
  head/databases/pgadmin3/Makefile
  head/databases/pgadmin3/distinfo
Comment 8 Max Khon freebsd_committer 2018-12-11 13:00:06 UTC
Explicit dependency on GNOME is also not required as the port depends only on wxWidgets.